HRIS Employees

The HrisEmployee Object

Properties

idstring

The Rutter generated unique ID of the HRIS employee.

platform_idstring

The platform specific ID of the HRIS employee.

department_idstringnullable

The Rutter ID of the departments linked to the employee.

location_idstringnullable

The Rutter ID of the locations linked to the employee. The employee's work location.

manager_idstringnullable

The Rutter ID of the organizations linked to the employee.

hire_datestringnullable

The date the employee was hired.

termination_datestringnullable

If applicable, the date the employee was terminated.

first_namestring

Employee's first name.

statusenum

The status of the employee.

One ofactive, inactive, terminated, or unknown.
custom_fieldsobjectOptional

Custom fields on the employee. Note: for field type 'select', please use the values from options presented through 'GET /accounting/employees/custom_fields' endpoint. For field type 'boolean', please pass in a boolean value.

emailstringnullable

The employee's work email address, falling back to their primary email address if the platform does not distinguish the two.

employee_numberstringnullable

Unique employee identifier for payroll processing and expense tracking.

last_namestringnullable

Employee's last name.

positionstringnullable

Job title of the employee.

salarynumbernullable

The gross salary of the employee used in payroll and tax calculations.

bank_accountsarrayOptional

The employee's bank / payout account details. Availability varies by platform and worker type, and bank data is often PII-gated.

Show bank_accounts attributes
created_atstringnullable

The ISO 8601 timestamp that the HRIS employee was created.

updated_atstringnullable

The ISO 8601 timestamp that the HRIS employee was last updated.

last_synced_atstring

The ISO 8601 timestamp when the HRIS employee was last synced by Rutter.

platform_dataobjectOptional

The raw platform data corresponding to the Rutter object.

Endpoints
GET
/hris/employees
GET
/hris/employees/:id

List Employees

GEThttps://production.rutterapi.com/versioned/hris/employees

Request Parameters

    access_tokenstringqueryRequired

    The access token of the connection.

    cursorstringqueryOptional

    Used to paginate to the next batch of objects. Should be a copy of the next_cursor value from the previous response.

    limitintegerqueryOptional

    Used to limit the number of returned objects. Defaults to 50.

    sortstringqueryOptional

    Used to sort the response objects, e.g. last_synced_at ASC. If a value is provided but ASC or DESC is not, defaults to ASC. If omitted, defaults to updated_at DESC. Currently supports the updated_at and last_synced_at fields.

    expandarrayqueryOptional

    Include platform specific data (includes additional fields not provided by the Rutter object).

    One or more ofplatform_data.
    last_synced_at_minintegerqueryOptional

    Used to filter objects with a last_synced_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_maxintegerqueryOptional

    Used to filter objects with a updated_at value less than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_minintegerqueryOptional

    Used to filter objects with a updated_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

Fetch an Employee

GEThttps://production.rutterapi.com/versioned/hris/employees/:id

Request Parameters

    idstringpathRequired

    The unique ID of the object.

    access_tokenstringqueryRequired

    The access token of the connection.

    id_typeenumqueryOptional

    Used to indicate the type of id that is supplied. Defaults to rutter. Not currently supported on Sage Intacct or Sage Business Cloud.

    One ofrutter or platform.
    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

Have questions?

Contact support for personalized guidance.

Contact support